import 'package:flutter/material.dart';
import 'package:get_it/get_it.dart';
import 'package:get/get.dart';
import 'package:guru_widgets/appbar/guru_app_bar.dart';
import 'package:guru_widgets/pages/settings/guru_settings_page.dart';
import 'package:guru_app/financial/igc/igc_manager.dart';
import 'package:guru_app/financial/iap/iap_manager.dart';
import 'package:guru_app/controller/assets_aware.dart';
import 'package:guru_utils/controller/lifecycle_controller.dart';
import 'package:guru_app/financial/product/product_model.dart';
import 'package:guru_app/ads/ads_manager.dart';

import 'account_dubug_controller.dart';


class AccountDebugPage extends GetWidget<AccountDebugController> {
  final LeadingType leadingType;

  AccountDebugPage(
      {Key? key,
      this.leadingType = LeadingType.close})
      : super(key: key) {
    Get.create<AccountDebugController>(() => GetIt.instance<AccountDebugController>());
  }
  

  @override
  Widget build(BuildContext context) {
    return GuruSettingsPage(
      items: [
        GroupSetting(
          title: "PROFILE",
          items: [
            EntranceSetting(title: "Reset Avatar Assets", onTap: () async {
              
            })
          ]
        ),
        GroupSetting(
          title: "LEADERBOARD",
          items: [
            EntranceSetting(title: "Select Fake Type", onTap: () async {
              
            }), 
            EntranceSetting(title: "Free Modify Nickname", onTap: () async {
              
            }),
            EntranceSetting(title: "Force Load data from server", onTap: () async {

            }),
            EntranceSetting(title: "Disable Upload Score", onTap: () async {

            }),
            EntranceSetting(title: "Force Show Version", onTap: () async {

            }),
            EntranceSetting(title: "Enalbe Peek User", onTap: () async {

            }),
            EntranceSetting(title: "Clear Nickname(Mock!)", onTap: () async {

            }),
            EntranceSetting(title: "Clear Statistic And Remote Best Score", onTap: () async {

            }),
            EntranceSetting(title: "Load Count", onTap: () async {

            }),
          ]
        )
      ]
    );
  }
 
}